Summary: Word-based diff front end
Name: wdiff
Version: 0.6.2
Release: 1
Source0: ftp://ftp.gnu.org/pub/gnu/wdiff/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/pub/gnu/wdiff/%{name}-%{version}.tar.gz.sig
License: GPL
URL: http://www.gnu.org/software/wdiff/wdiff.html
Group: Text tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: texinfo
BuildRequires: gettext-devel >= 0.17
Requires: info
Requires: gettext >= 0.17

%description
GNU wdiff is a front-end to GNU diff.  It compares two files, finding
which words have been deleted or added to the first in order to create
the second.  It has many output formats and interacts well with
terminals and pagers (notably with less).  GNU wdiff is particularly
useful when two texts differ only by a few words and paragraphs have
been refilled.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-termcap=curses

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README NEWS THANKS TODO COPYING ChangeLog BACKLOG
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/%{name}.info*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Tue May 25 2010 Michael Perzl <michael@perzl.org> - 0.6.2-1
- updated to version 0.6.2

* Wed Apr 07 2010 Michael Perzl <michael@perzl.org> - 0.6.1-1
- first version for AIX V5.1 and higher
